"use strict";

const assureArray = require("assure-array");
const babelRegister = require("@babel/register");

module.exports = function registerBabel(viewPaths, options = {}) {
	let babelOptions = Object.assign({
		only: assureArray(viewPaths),
		presets: [
			"@babel/preset-react",
			["@babel/preset-env", {
				targets: {
					node: "current"
				}
			}]
		]
	}, options);

	babelRegister(babelOptions);
};