"use strict";

module.exports = function loadTypes(types) {
	let loadedTypes = {};

	for (let [name, module_] of Object.entries(types)) {
		loadedTypes[name] = module_(loadedTypes);
	}

	return loadedTypes;
};